com.trendmicro.ds.platform.rest.object.managernodes

## Class ManagerNode.SystemInformation.Memory

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ManagerNode.SystemInformation.Memory

- Enclosing class:
    ManagerNode.SystemInformation

      public static class ManagerNode.SystemInformation.Memory
      extends java.lang.Object

  Manager node memory information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Memory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getFree()` Get the amount of free memory reported by this manager node, in bytes.
    `java.lang.Long` | `getMax()` Get the amount of memory allocated to this manager node process, in bytes.
    `java.lang.Long` | `getUsed()` Get the amount of used memory reported by this manager node, in bytes.
    `void` | `setFree(java.lang.Long free)` Set the amount of free memory reported by this manager node, in bytes.
    `void` | `setMax(java.lang.Long max)` Set the amount of memory allocated to this manager node process, in bytes.
    `void` | `setUsed(java.lang.Long used)` Set the amount of used memory reported by this manager node, in bytes.
    `ManagerNode.SystemInformation.Memory` | `withFree(java.lang.Long free)` Set the amount of free memory reported by this manager node, in bytes.
    `ManagerNode.SystemInformation.Memory` | `withMax(java.lang.Long max)` Set the amount of memory allocated to this manager node process, in bytes.
    `ManagerNode.SystemInformation.Memory` | `withUsed(java.lang.Long used)` Set the amount of used memory reported by this manager node, in bytes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Memory

          public Memory()

  - ### Method Detail

    - #### getFree

          public java.lang.Long getFree()

      Get the amount of free memory reported by this manager node, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the amount of free memory reported by this manager node, in bytes.

    - #### setFree

          public void setFree(java.lang.Long free)

      Set the amount of free memory reported by this manager node, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `free` - the amount of free memory reported by this manager node, in bytes.

    - #### withFree

          public ManagerNode.SystemInformation.Memory withFree(java.lang.Long free)

      Set the amount of free memory reported by this manager node, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `free` - the amount of free memory reported by this manager node, in bytes.
      Returns:
        the updated Memory object.

    - #### getUsed

          public java.lang.Long getUsed()

      Get the amount of used memory reported by this manager node, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the amount of used memory reported by this manager node, in bytes.

    - #### setUsed

          public void setUsed(java.lang.Long used)

      Set the amount of used memory reported by this manager node, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `used` - the amount of used memory reported by this manager node, in bytes.

    - #### withUsed

          public ManagerNode.SystemInformation.Memory withUsed(java.lang.Long used)

      Set the amount of used memory reported by this manager node, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `used` - the amount of free memory reported by this manager node, in bytes.
      Returns:
        the updated Memory object.

    - #### getMax

          public java.lang.Long getMax()

      Get the amount of memory allocated to this manager node process, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Returns:
        the amount of memory allocated to this manager node process, in bytes.

    - #### setMax

          public void setMax(java.lang.Long max)

      Set the amount of memory allocated to this manager node process, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `max` - the amount of memory allocated to this manager node process, in bytes.

    - #### withMax

          public ManagerNode.SystemInformation.Memory withMax(java.lang.Long max)

      Set the amount of memory allocated to this manager node process, in bytes.

      This system value is provided for information purposes and cannot be set through the API. Attempts to set or change this read-only value through the API will be ignored.

      Parameters:
        `max` - the amount of memory allocated to this manager node process, in bytes.
      Returns:
        the updated Memory object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.